Please describe the problem.

All git annex commands run successfully but are prefixed by an annoying error message:

"/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)"

What steps will reproduce the problem?

git annex init or just about any git annex command.

What version of git-annex are you using? On what operating system?

git-annex version: 5.20150710-g8fd7052 on arch linux 4.0.7-2.

Please provide any additional information below.

locale -a

C en_US en_US.iso88591 en_US.utf8 hebrew he_IL he_IL.iso88598 he_IL.utf8 POSIX

I've made LOCPATH not be set except when git-annex is built with ghc older than 7.10, since the problem was fixed in ghc 7.10.

Also, I loved the LOCPATH setting into the linker shim script, rather than in runshell, so it will only affect the programs bundled with git-annex (itself and git and a few other things). Which are not localized anyway in the bundle. So, even in builds where it's still set (the linux ancient build in particular), things done in the runshell environment won't be affected.

I do wonder if there could be problems with incompatabilities between the bundled glibc and the system locale files, which might be for a newer/older libc version. Not so much random .mo files, which seem quite portable across glibc versions, but the more core locale files. If that turns out to be a problem, LOCPATH might have to be turned back on.

For now, done --Joey